Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3016 - tasks spawned by at fail if they rely on wait
Summary: tasks spawned by at fail if they rely on wait
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: at
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-24 20:33 UTC by jlarmour
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-24 21:11:48 UTC


Attachments (Terms of Use)

Description jlarmour 1999-05-24 20:33:47 UTC
at sets the signal handler of SIGCHLD to SIG_IGN, resulting
in the child inheriting this. This causes any grandchildren
to quit immediately rather than becoming zombies that
can be "wait"ed for by the child. A similar problem to this
(problem #732) was fixed for cron.

I will send a patch along via e-mail, since I don't appear
to have access to upload RPMs any more (more work for
you!).


------- Email Received From  Jonathan Larmour <jlarmour@cygnus.co.uk> 05/24/99 16:37 -------

Comment 1 Jeff Johnson 1999-05-24 21:11:59 UTC
Patch applied in at-3.1.7-9. Thanks for reporting.


Note You need to log in before you can comment on or make changes to this bug.